/* @(#) GraphicsParams.java 1.1 99/21/11
 * Copyright (c) 1999 Lawrence Rodrigues
 */

package com.vistech.graphics;
import java.awt.*;
import java.awt.geom.*;

class GraphicsParams {
   Color drawingColor = Color.red;
   Paint paint = null;
   Shape clip = null;
   AffineTransform xform = null;
   Stroke stroke = null;
   RenderingHints renderingHints = null;
   Composite composite = null;
   Font font = null;

   public void setFont(Font font) {
      this.font = font;
   }

   public Font getFont() {
      return font;
   }

   public void setDrawingColor(Color drawingColor) {
      this.drawingColor = drawingColor;
   }

   public Color getDrawingColor() {
      return drawingColor;
   }

   public void setComposite(Composite composite) {
      this.composite = composite;
   }
   public Composite getComposite() {
      return composite;
   }

   public void setPaint(Paint paint) {
      this.paint = paint;
   }

   public Paint getPaint() {
      return paint;
   }

   public void setTransform(AffineTransform transform) {
      this.xform = transform;
   }

   public AffineTransform getTransform() {
      return xform;
   }
   
   public void setStroke(Stroke stroke) {
      this.stroke = stroke;
   }
   public Stroke getStroke() {
      return stroke;
   }
   public void setClip(Shape clip) {
      this.clip = clip;
   }
   public Shape getClip() {
      return clip;
   }

   public void setRenderingHints(RenderingHints renderingHints) {
      this.renderingHints = renderingHints;
   }
   
   public RenderingHints getRenderingHints() {
      return renderingHints;
   }
}
